// animation.h

#ifndef ANIMATION_H
#define ANIMATION_H

#include <vector>
#include <string>

#include <quaternion.hpp>
#include <v3.hpp>

struct Joint
{
  int        parent;
  cpe::v3       position;
  cpe::quaternion orientation;
};

struct Animation
{
  std::vector<std::vector<Joint> > bones;

  void load (const std::string &filename);
};

#endif
